import React, { useContext } from 'react';
import { RouteContext } from '@ant-design/pro-layout';
import { Tooltip, Breadcrumb } from 'antd';

import { QuestionCircleOutlined } from '@ant-design/icons';

import HeaderSearch from '../HeaderSearch';
import NoticeIcon from '../NoticeIcon';
import Avatar from './AvatarDropdown';
import styles from './index.less';

const GlobalHeaderRight = props => {
  const { theme, layout } = props;
  let className = styles.right;
  const value = useContext(RouteContext);
  if (theme === 'dark' && layout === 'top') {
    className = `${styles.right}  ${styles.dark}`;
  }

  return (
    <div className={className}>
      {/* <span className={styles.left}>{value.title}</span> */}
      <Breadcrumb {...value.breadcrumb} className={styles.lineHeight} />
      <div style={{ flex: 1 }} />
      <HeaderSearch
        className={`${styles.action} ${styles.search} ${styles.toRight}`}
        placeholder="站内搜索"
        defaultValue=""
        options={
          [
            // {
            //   label: <a href="https://umijs.org/zh/guide/umi-ui.html">umi ui</a>,
            //   value: 'umi ui',
            // },
            // {
            //   label: <a href="next.ant.design">Ant Design</a>,
            //   value: 'Ant Design',
            // },
            // {
            //   label: <a href="https://protable.ant.design/">Pro Table</a>,
            //   value: 'Pro Table',
            // },
            // {
            //   label: <a href="https://prolayout.ant.design/">Pro Layout</a>,
            //   value: 'Pro Layout',
            // },
          ]
        }
      />
      {/* <Tooltip title="使用文档">
        <a
          style={{
            color: 'inherit',
          }}
          target="_blank"
          href="https://pro.ant.design/docs/getting-started"
          rel="noopener noreferrer"
          className={styles.action}
        >
          <QuestionCircleOutlined />
        </a>
      </Tooltip> */}
      <NoticeIcon className={`${styles.action} ${styles.toRight}`} />
      <Avatar className={styles.toRight} />
      {/* <SelectLang className={styles.action} /> */}
    </div>
  );
};

export default GlobalHeaderRight;
